Your submission was sent successfully! Close

CVE-2010-1196

Published: 24 June 2010

Integer overflow in the nsGenericDOMDataNode::SetTextInternal function in Mozilla Firefox 3.5.x before 3.5.10 and 3.6.x before 3.6.4, Thunderbird before 3.0.5, and SeaMonkey before 2.0.5 allows remote attackers to execute arbitrary code via a DOM node with a long text value that triggers a heap-based buffer overflow.

Priority

Medium

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
dapper Ignored
(reached end-of-life)
hardy Ignored
(uses system xulrunner)
jaunty Does not exist

karmic Does not exist

lucid
Released (3.6.6+nobinonly-0ubuntu0.10.04.1)
maverick
Released (3.6.7+build2+nobinonly-0ubuntu1)
natty
Released (3.6.7+build2+nobinonly-0ubuntu1)
oneiric
Released (3.6.7+build2+nobinonly-0ubuntu1)
upstream Needs triage

seamonkey
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy
Released (2.0.8+build1+nobinonly-0ubuntu0.8.04.1)
jaunty
Released (2.0.8+build1+nobinonly-0ubuntu0.9.04.1)
karmic
Released (2.0.8+build1+nobinonly-0ubuntu0.9.10.1)
lucid
Released (2.0.6+build1+nobinonly-0ubuntu0.10.04.1)
maverick
Released (2.0.6+build1+nobinonly-0ubuntu1)
natty
Released (2.0.6+build1+nobinonly-0ubuntu1)
oneiric
Released (2.0.6+build1+nobinonly-0ubuntu1)
upstream Needs triage

thunderbird
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored

jaunty Ignored

karmic Ignored

lucid
Released (3.0.5+build2+nobinonly-0ubuntu0.10.04.1)
maverick
Released (3.0.5+build2+nobinonly-0ubuntu1)
natty
Released (3.0.5+build2+nobinonly-0ubuntu1)
oneiric
Released (3.0.5+build2+nobinonly-0ubuntu1)
upstream
Released (3.0.5)
xulrunner
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored
(reached end-of-life)
jaunty Ignored
(reached end-of-life)
karmic Ignored
(reached end-of-life)
lucid Does not exist

maverick Does not exist

natty Does not exist

oneiric Does not exist

upstream Needs triage

xulrunner-1.9
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored
(reverse dependencies no longer process web content)
jaunty Ignored
(reverse dependencies no longer process web content)
karmic Does not exist

lucid Does not exist

maverick Does not exist

natty Does not exist

oneiric Does not exist

upstream Needs triage

xulrunner-1.9.1
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

jaunty Ignored
(use firefox-3.0 instead)
karmic Ignored
(reverse dependencies no longer process web content)
lucid Does not exist

maverick Does not exist

natty Does not exist

oneiric Does not exist

upstream Needs triage

xulrunner-1.9.2
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy
Released (1.9.2.6+nobinonly-0ubuntu0.8.04.1)
jaunty
Released (1.9.2.7+build2+nobinonly-0ubuntu0.9.04.2)
karmic
Released (1.9.2.7+build2+nobinonly-0ubuntu0.9.10.2)
lucid
Released (1.9.2.6+nobinonly-0ubuntu0.10.04.1)
maverick
Released (1.9.2.7+build2+nobinonly-0ubuntu1)
natty
Released (1.9.2.7+build2+nobinonly-0ubuntu1)
oneiric Does not exist

upstream Needs triage

Notes

AuthorNote
jdstrand
CVEs in Firefox are tracked in the xulrunner source packages. The
mapping of xulrunner sources to firefox is:
xulrunner (1.8.0): firefox (1.5) - Ubuntu 6.06 LTS
xulrunner (1.8.1): firefox (2.0) - Ubuntu 6.10 - 8.04 LTS
xulrunner-1.9: firefox-3.0
xulrunner-1.9.1: firefox-3.5
Ubuntu 6.06 LTS and 10.04 LTS uses the embedded xulrunner and not
the system xulrunner-1.9.2, so it is tracked in the firefox source package.
per Chris Coulson, tbird requires javascript to be enabled

References